Amazon Aurora
Aurora 用户指南 (API 版本 2014-10-31)
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

Aurora MySQL 数据库引擎更新 2019-03-25(版本 2.04)

版本:2.04

Aurora MySQL 2.04 已正式发布。Aurora MySQL 2.x 版与 MySQL 5.7 兼容,Aurora MySQL 1.x 版与 MySQL 5.6 兼容。

在创建新的 Aurora MySQL 数据库集群(包括还原快照)时,您可以选择与 MySQL 5.7 或 MySQL 5.6 兼容。我们不允许就地升级 Aurora MySQL 1.* 集群或从 Amazon S3 备份还原到 Aurora MySQL 2.04.0。我们计划在以后的 Aurora MySQL 2.* 版本中删除这些限制。

您可以将 Aurora MySQL 1.19.*、2.01.*、2.02.* 和 2.03.* 的快照还原到 Aurora MySQL 2.04.0。您不能将 Aurora MySQL 1.14.* 或更低版本、1.15.*、1.16.*、1.17.*、1.18.* 的快照还原到 Aurora MySQL 2.04.0。Aurora MySQL 2.04.1 已取消此限制。

如果您有任何问题或疑问,可通过社区论坛和 AWS Premium Support 联系 AWS Support。有关更多信息,请参阅维护 Amazon Aurora 数据库集群

注意

该版本目前在 AWS GovCloud (US-West) [us-gov-west-1] 区域中不可用。在提供后,将发布单独的公告。

注意

升级数据库集群的过程已更改。有关更多信息,请参阅Amazon Aurora MySQL 的数据库升级和修补

改进

  • 支持基于 GTID 的复制。有关使用 Aurora MySQL 的基于 GTID 的复制的信息,请参阅 在 Aurora MySQL 中使用基于 GTID 的复制

  • 修复了当删除或更新临时表中的语句包含 InnoDB 子查询时 Aurora 副本错误地引发 Running in read-only mode 错误的问题。

集成 MySQL 错误修复

  • 错误 #26225783:MYSQL CRASH ON CREATE TABLE (REPRODUCEABLE) -> INNODB: ALONG SEMAPHORE WAIT。